Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.odf
Class ODFSignatureVerifier

    java.lang.Object
      be.fedict.eid.applet.service.signer.odf.ODFSignatureVerifier

    public class ODFSignatureVerifier

extends Object

ODF Signature Verifier.

Author:
  fcorneli

Method Summary
`static List<X509Certificate>` | `getSigners(URL odfUrl)` return list of signers for the document available via the given URL.
`static boolean` | `hasOdfSignature(URL odfUrl)` Checks whether the ODF document available via the given URL has been signed.
`static boolean` | `isODF(URL url)` Checks whether the document available on the given URL is an ODF document or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasOdfSignature

    public static boolean hasOdfSignature(URL odfUrl)
                                   throws IOException,
                                          ParserConfigurationException,
                                          SAXException,
                                          org.apache.xml.security.signature.XMLSignatureException,
                                          org.apache.xml.security.exceptions.XMLSecurityException,
                                          MarshalException,
                                          XMLSignatureException

  Checks whether the ODF document available via the given URL has been signed.

  Parameters:
    `odfUrl` -
  Returns:
  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`
    `org.apache.xml.security.signature.XMLSignatureException`
    `org.apache.xml.security.exceptions.XMLSecurityException`
    `MarshalException`
    `XMLSignatureException`

### getSigners

    public static List<X509Certificate> getSigners(URL odfUrl)
                                            throws IOException,
                                                   ParserConfigurationException,
                                                   SAXException,
                                                   MarshalException,
                                                   XMLSignatureException

  return list of signers for the document available via the given URL.

  Parameters:
    `odfUrl` -
  Returns:
    list of X509 certificates
  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`
    `MarshalException`
    `XMLSignatureException`

### isODF

    public static boolean isODF(URL url)
                         throws IOException

  Checks whether the document available on the given URL is an ODF document or not.

  Parameters:
    `url` -
  Returns:
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.